//+------------------------------------------------------------------+
//|                                                    RSI Split.mq4 |
//|                                 Copyright  2005, www.fxmio.info |
//|                                            http://www.fxmio.info |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, www.fxmio.info"
#property link      "http://www.fxmio.info"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red   
#property indicator_color2 Lime
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_level1 30
#property indicator_level2 50
#property indicator_level3 70


color colo1 = Red;
color colo2 = Lime;

extern string simbol1 = "EURUSD";
extern string simbol2 = "USDJPY";

extern int aplPeriod = 10;
extern int aplaed_price = 0;
extern string comment = "0-C/1-O/2-H/3-L/4-M/5-T/6-W";

double buffer1[];
double buffer2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
SetIndexBuffer(0,buffer1);
SetIndexStyle(0,DRAW_LINE,0,0);

SetIndexBuffer(1,buffer2);
SetIndexStyle(1,DRAW_LINE,0,0);

IndicatorShortName("RSI Split "+simbol1+" "+simbol2);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
   for ( int i = 500 ; i>= 0 ; i-- )   {
         
         if (simbol1 != "")   buffer1[i] = iRSI(simbol1,0,aplPeriod,aplaed_price,i);
         if (simbol2 != "")   buffer2[i] = iRSI(simbol2,0,aplPeriod,aplaed_price,i);
         
   }
      SetTextLable(simbol1,simbol1,CurTime(),buffer1[0],colo1);
      SetTextLable(simbol2,simbol2,CurTime(),buffer2[0],colo2);
//----
   return(0);
  }
//+------------------------------------------------------------------+

void SetTextLable(string name,string text,datetime time,double price,color colo){

int win = WindowFind("RSI Split "+simbol1+" "+simbol2);
ObjectCreate(name,OBJ_TEXT,win,time+Period()*60*3,price);
ObjectSetText(name,text,7,"Times New Roman",colo);
ObjectSet(name,OBJPROP_TIME1,time+Period()*60*3);
ObjectSet(name,OBJPROP_PRICE1,price);

}